For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList MCP Servers
      • POSTCreate MCP Server
      • GETGet MCP Server
      • POSTUpdate MCP Server
      • DELDelete MCP Server
      • POSTMark MCP Server Synced
      • GETIAM - List Mcp Server Members
      • GETIAM - Lookup Mcp Server Member
      • POSTIAM - Update Mcp Server Member
      • POSTIAM - Test Mcp Server Permissions
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceMcp Servers

IAM - Lookup Mcp Server Member

GET
/org/:org_id/project/:project_id/mcp_server/:mcp_server_id/iam/members/:member
GET
/api/v1/org/:org_id/project/:project_id/mcp_server/:mcp_server_id/iam/members/:member
$curl https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/mcp_server/mcp_server_id/iam/members/member \
> -H "Authorization: Bearer <token>"
1{
2 "member": "string",
3 "roles": [
4 "string"
5 ],
6 "name": "string",
7 "avatar_url": "string",
8 "total_subjects": 1
9}

Retrieve a specific member that has been granted direct access to the mcp_server.

Was this page helpful?
Previous

IAM - Update Mcp Server Member

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

mcp_server_idstringRequiredformat: "uuid"
memberstringRequired
org_idstringRequiredformat: "uuid"
The org id
project_idstringRequiredformat: "uuid"
The project id

Response

Successful Response
memberstring

The member identifier string, the format of which is ‘<subject_type>:<subject_id>’

roleslist of strings
A list of roles that the member holds on an entity. Some entities, such as Organizations, may contain members that exist without any roles.
namestring or null
The name of the member.
avatar_urlstring or null
If avatar of the member, if it is supported by their subject type.
total_subjectsintegerDefaults to 1

The total number of subjects that the member represents, which may be a value other than 1 if the member is not a User.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error